Bug 3453

Summary: broken lisa initscript
Product: [Development] Sisyphus Reporter: Michael Shigorin <mike@altlinux.org>
Component: kdenetwork-lisaAssignee: Nobody's working on this, feel free to take it <nobody@altlinux.org>
Status: CLOSED FIXED QA Contact: qa-sisyphus@altlinux.org
Severity: blocker    
Priority: P2 CC: ldv@altlinux.org
Version: unstable   
Hardware: all   
OS: Linux   
Bug Depends on:    
Bug Blocks: 3005    

Description From 2004-01-09 17:25:13
/etc/init.d/lisa won't properly shut down lisa.

blocker as it's reproducible on kdenetwork-lisa-3.1.4-alt3.i586.rpm (from
compact-20031104, the same version in 20031226).

Steps to Reproduce:
apt-get install kdenetwork-lisa
# configure lisa
service lisa start
service lisa stop
Actual Results:  
Service lisa is not running[PASSED]

while lisa continues running in background

Expected Results:  
lisa gets killed
------- Comment #1 From 2004-01-16 14:25:45 -------
start-stop-daemon don't create pidfile 
------- Comment #2 From 2004-01-16 15:41:22 -------
from /etc/init.d/lisa: 
 
start() 
{ 
[...] 
msg_starting $"lan browser daemon for KDE" 
start_daemon --lockfile "$LOCKFILE" --expect-user root --no-announce -- $LISA $ARGS -c 
$CONFIG_FILE 
RETVAL=$? 
return $RETVAL 
} 
 
So why should it create pid file? 
------- Comment #3 From 2004-01-16 15:56:11 -------
--pidfile don't create pidfile too 
------- Comment #4 From 2004-01-16 16:07:02 -------
--pidfile only checks for pidfile, see start-stop-daemon(8). 
------- Comment #5 From 2004-01-16 16:58:02 -------
Help me please 
--make-pidfile create pidfile, but for parent process, which exit after fork 
------- Comment #6 From 2004-01-29 19:20:06 -------
fixed in kdenetwork-3.1.4-alt4 
------- Comment #7 From 2005-08-30 02:19:40 -------
closing
------- Comment #8 From 2005-08-30 02:27:36 -------
closing